aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbuild.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..448347c
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+repo_name=$( basename -s .git $(git remote get-url origin) )
+
+docker run --rm -it -v $(pwd):/app -w /app mono:latest bash -c '
+ set -e
+ mkdir -p build
+
+ nuget restore SharpAMSIGhosting.sln
+ msbuild SharpAMSIGhosting.sln /p:Configuration=Release /p:Platform="Any CPU"
+ msbuild SharpAMSIGhosting.sln /p:Configuration=Release /p:Platform=x64
+ msbuild SharpAMSIGhosting.sln /p:Configuration=Release /p:Platform=x86
+
+ cp SharpAMSIGhosting/bin/Release/SharpAMSIGhosting.exe build/SharpAMSIGhosting-AnyCPU.exe
+ cp SharpAMSIGhosting/bin/x64/Release/SharpAMSIGhosting.exe build/SharpAMSIGhosting-x64.exe
+ cp SharpAMSIGhosting/bin/x86/Release/SharpAMSIGhosting.exe build/SharpAMSIGhosting-x86.exe
+'
+
+printf "%s\n" "[inf] finished building ${repo_name}"